package com.zswl.cloud.springBatch.client.model.request;

import java.time.OffsetDateTime;

/**
 * TicketOrderChannelCreate2Dto，渠道下单
 */
public class CreateOrder2Request {
    /**
     * 有票票分配的appId
     */
    private String appId;
    /**
     * 影院地址
     */
    private String cinemaAddress;
    /**
     * 影院编码
     */
    private String cinemaCode;
    /**
     * 影院名称
     */
    private String cinemaName;
    /**
     * 城市名称
     */
    private String cityName;
    /**
     * 快速票
     */
    private Boolean fastTicket;
    /**
     * 影厅名称
     */
    private String hallName;
    /**
     * 是否情侣座(true/false)
     */
    private Boolean loveSeat;
    /**
     * 影片编码
     */
    private String movieCode;
    /**
     * 影片名称
     */
    private String movieName;
    /**
     * 影票类型（2D/ 3D）
     */
    private String movieVersion;
    /**
     * 第三方订单号
     */
    private String orderId;
    private Long orderPayMode;
    /**
     * 原票价单价
     */
    private Double originPrice;
    /**
     * 影片海报图
     */
    private String postImageUrl;
    /**
     * 座位名称（多个用逗号分隔）
     */
    private String seatNames;
    /**
     * 开场时间
     */
    private OffsetDateTime sessionBeginTime;
    /**
     * 结束时间
     */
    private OffsetDateTime sessionEndTime;
    /**
     * 是否可调座
     */
    private boolean switchSeat;
    /**
     * 是否是测试订单（测试订单不会真实出票，请联系测试人员模拟出票、退款等）
     */
    private Boolean test;
    /**
     * 用户手机号
     */
    private String userMobile;

    public String getAppId() { return appId; }
    public void setAppId(String value) { this.appId = value; }

    public String getCinemaAddress() { return cinemaAddress; }
    public void setCinemaAddress(String value) { this.cinemaAddress = value; }

    public String getCinemaCode() { return cinemaCode; }
    public void setCinemaCode(String value) { this.cinemaCode = value; }

    public String getCinemaName() { return cinemaName; }
    public void setCinemaName(String value) { this.cinemaName = value; }

    public String getCityName() { return cityName; }
    public void setCityName(String value) { this.cityName = value; }

    public Boolean getFastTicket() { return fastTicket; }
    public void setFastTicket(Boolean value) { this.fastTicket = value; }

    public String getHallName() { return hallName; }
    public void setHallName(String value) { this.hallName = value; }

    public Boolean getLoveSeat() { return loveSeat; }
    public void setLoveSeat(Boolean value) { this.loveSeat = value; }

    public String getMovieCode() { return movieCode; }
    public void setMovieCode(String value) { this.movieCode = value; }

    public String getMovieName() { return movieName; }
    public void setMovieName(String value) { this.movieName = value; }

    public String getMovieVersion() { return movieVersion; }
    public void setMovieVersion(String value) { this.movieVersion = value; }

    public String getOrderId() { return orderId; }
    public void setOrderId(String value) { this.orderId = value; }

    public Long getOrderPayMode() { return orderPayMode; }
    public void setOrderPayMode(Long value) { this.orderPayMode = value; }

    public Double getOriginPrice() { return originPrice; }
    public void setOriginPrice(Double value) { this.originPrice = value; }

    public String getPostImageUrl() { return postImageUrl; }
    public void setPostImageUrl(String value) { this.postImageUrl = value; }

    public String getSeatNames() { return seatNames; }
    public void setSeatNames(String value) { this.seatNames = value; }

    public OffsetDateTime getSessionBeginTime() { return sessionBeginTime; }
    public void setSessionBeginTime(OffsetDateTime value) { this.sessionBeginTime = value; }

    public OffsetDateTime getSessionEndTime() { return sessionEndTime; }
    public void setSessionEndTime(OffsetDateTime value) { this.sessionEndTime = value; }

    public boolean getSwitchSeat() { return switchSeat; }
    public void setSwitchSeat(boolean value) { this.switchSeat = value; }

    public Boolean getTest() { return test; }
    public void setTest(Boolean value) { this.test = value; }

    public String getUserMobile() { return userMobile; }
    public void setUserMobile(String value) { this.userMobile = value; }
}